using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using nukakto.Models;

namespace nukakto
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Hide();
            Regist reg = new Regist();
            reg.Show();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            gr606_kusanContext context = new gr606_kusanContext();
            var users = context.Users;
            User user = users.SingleOrDefault(x=>x.Login == Login.Text && x.Password == Password.Password);
            if(user == null)
            {
                MessageBox.Show("пользователь не найден!");
            }
            else
            {
                this.Hide();
                HomeWindow at = new HomeWindow();
                at.Show();
            }

        }
    }
}
